﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Default.aspx.cs" Inherits="Default" %>


<%@ Register TagPrefix="telerik" Namespace="Telerik.Web.UI" Assembly="Telerik.Web.UI" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN" "http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">
<html xmlns='http://www.w3.org/1999/xhtml'>
<head runat="server">
    <title>Telerik ASP.NET Example</title>
</head>
<body>
    <form id="form1" runat="server">
        <telerik:RadScriptManager runat="server" ID="RadScriptManager1" />
        <telerik:RadSkinManager ID="RadSkinManager1" runat="server" ShowChooser="true" />
        <telerik:RadAjaxManager ID="RadAjaxManager1" runat="server">
            <AjaxSettings>
                <telerik:AjaxSetting AjaxControlID="RadScheduler1">
                    <UpdatedControls>
                        <telerik:AjaxUpdatedControl ControlID="RadScheduler1" LoadingPanelID="RadAjaxLoadingPanel1"></telerik:AjaxUpdatedControl>
                    </UpdatedControls>
                </telerik:AjaxSetting>
            </AjaxSettings>
        </telerik:RadAjaxManager>
        <telerik:RadAjaxLoadingPanel ID="RadAjaxLoadingPanel1" runat="server">
        </telerik:RadAjaxLoadingPanel>
        <div class="demo-container no-bg">
            <telerik:RadScheduler RenderMode="Lightweight" Font-Size="14px" runat="server" ID="RadScheduler1"
                SelectedDate="2012-04-16" DayStartTime="08:00:00" DayEndTime="18:00:00" OnDataBound="RadScheduler1_DataBound"
                OnAppointmentCreated="RadScheduler1_AppointmentCreated"
                OnAppointmentUpdate="RadScheduler1_AppointmentUpdate"
                OnAppointmentDelete="RadScheduler1_AppointmentDelete"
                OnOccurrenceDelete="RadScheduler1_OccurrenceDelete"
                OnRecurrenceExceptionCreated="RadScheduler1_RecurrenceExceptionCreated"
                EnableDescriptionField="true"
                OverflowBehavior="Auto">
                <AdvancedForm Modal="true"></AdvancedForm>
                <Reminders Enabled="true"></Reminders>
                <TimeSlotContextMenuSettings EnableDefault="true"></TimeSlotContextMenuSettings>
                <AppointmentContextMenuSettings EnableDefault="true"></AppointmentContextMenuSettings>
                <AppointmentTemplate>
                    <span><%# Eval("Subject") %></span>
                    <div style="font-style: italic;"><%# Eval("Description") %></div>
                </AppointmentTemplate>
            </telerik:RadScheduler>
            <ul>
                <li></li>
            </ul>
        </div>
    </form>
</body>
</html>
